Must I have v2.07

Discussion in 'MustDie Firmware' started by PsyDonia, Mar 14, 2009.

  1. PsyDonia

    PsyDonia Guest

    as topic says.
    or can I have firmware v3x.
    the latest then install this.
     
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice